Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Class LightSupportiveDriver

    java.lang.Object
      |
      +--org.netbeans.jemmy.drivers.LightSupportiveDriver

All Implemented Interfaces:
  LightDriver

Direct Known Subclasses:
  AbstractScrollDriver, ButtonMouseDriver, ChoiceDriver, EventDriver, JComboMouseDriver, JListMouseDriver, JSpinnerDriver, JSplitPaneDriver, JTableHeaderDriver, JTableMouseDriver, JTabMouseDriver, JTreeAPIDriver, JTreeMouseDriver, ListAPIDriver, RobotDriver, TextAPIDriver, TextKeyboardDriver

public abstract class LightSupportiveDriver
extends java.lang.Object
implements LightDriver

Allows to declare supported operator classes.

Constructor Summary
`LightSupportiveDriver(java.lang.String[] supported)` Creates an instance.

Method Summary
`void` | `checkSupported(ComponentOperator oper)` Throws `UnsupportedOperatorException` exception if parameter's class is not in list of supported classes.
`java.lang.String[]` | `getSupported()` Returns array of operator classes which are supported by this driver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LightSupportiveDriver

    public LightSupportiveDriver(java.lang.String[] supported)

  Creates an instance.
  Parameters:
    `supported` - Array of operator classes which are supported by this driver.

Method Detail

### checkSupported

    public void checkSupported(ComponentOperator oper)

  Throws `UnsupportedOperatorException` exception if parameter's class is not in list of supported classes.
  Parameters:
    `oper` - Operator whose class should be checked.
  Throws:
    `UnsupportedOperatorException` -

### getSupported

    public java.lang.String[] getSupported()

  Returns array of operator classes which are supported by this driver.
  Specified by:
    `getSupported` in interface `LightDriver`
  Following copied from interface: `org.netbeans.jemmy.drivers.LightDriver`
  Returns:
    an array of supported operator classes' names.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD